%global modname flask-multistatic
%global sum A simple flask plugin to allow overriding static files

Name:               python-flask-multistatic
Version:            1.0
Release:            %mkrel 10
Summary:            %{sum}
Group:              Development/Python
License:            BSD
URL:                https://pagure.io/flask-multistatic/
Source0:            https://pypi.python.org/packages/source/f/flask-multistatic/flask-multistatic-%{version}.tar.gz
BuildArch:          noarch

BuildRequires:      python3-devel
BuildRequires:      python3-flask
BuildRequires:      python3-setuptools


%description
Simple flask plugin allowing to override static files, making theming flask
applications really easy.


%package -n         python3-%{modname}
Summary:            %{sum}
Group:              Development/Python
Requires:           python3-flask

%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-flask-multistatic
Simple flask plugin allowing to override static files, making theming flask
applications really easy.


%prep
%autosetup -n %{modname}-%{version}

rm -rf %{modname}.egg-info


%build
%py3_build


%install
%py3_install


%files -n python3-%{modname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/flask_multistatic.py*
%{python3_sitelib}/__pycache__/flask_multistatic*
%{python3_sitelib}/flask_multistatic-%{version}-*




%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.0-10.mga8
+ Revision: 1533097
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.0-9.mga8
+ Revision: 1443369
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 1.0-8.mga7
+ Revision: 1352791
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0-7.mga7
+ Revision: 1288901
- Mageia 7 Mass Rebuild

* Sun Sep 10 2017 ngompa <ngompa> 1.0-6.mga7
+ Revision: 1152567
- Adapt for Mageia
- imported package python-flask-multistatic


* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 11 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0-1
- initial package for Fedora
